#### PyKDE - Python Bindings for KDE

# class KFileMimeTypeInfo |
Table of contents
Modules
tdeio Classes
All Classes

Module | tdeio
Class | KFileMimeTypeInfo
Inherits |

### enums

- Attributes = {Addable, Removable, Modifiable, Cumulative, Cummulative, Averaged, MultiLine, SqueezeText }
- Attributes = {Addable, Removable, Modifiable, Cummulative, Averaged, MultiLine, SqueezeText }
- Attributes = {Addable, Removable, Modifiable, Cummulative, Averaged }
- Hint = {NoHint, Name, Author, Description, Width, Height, Size, Bitrate, Length, Hidden, Thumbnail }
- Unit = {NoUnit, Seconds, MilliSeconds, BitsPerSecond, Pixels, Inches, Centimeters, Bytes, FramesPerSecond, DotsPerInch, BitsPerPixel, Hertz, KiloBytes, Millimeters }

### methods

- KFileMimeTypeInfo ()

  returns a KFileMimeTypeInfo instance

- KFileMimeTypeInfo (mimeType)

  returns a KFileMimeTypeInfo instance
  Argument | Type | Default
  --- | --- | ---
  mimeType | TQString |

- addGroupInfo (name, translatedName)

  returns (KFileMimeTypeInfo.GroupInfo)
  Argument | Type | Default
  --- | --- | ---
  name | TQString |
  translatedName | TQString |

- createValidator (group, key, parent = 0, name = 0)

  returns (TQValidator)
  Argument | Type | Default
  --- | --- | ---
  group | TQString |
  key | TQString |
  parent | TQObject | 0
  name | char | 0

- groupInfo (group)

  returns (KFileMimeTypeInfo.GroupInfo)
  Argument | Type | Default
  --- | --- | ---
  group | TQString |

- mimeType ()

  returns (TQString)

- preferredGroups ()

  returns (TQStringList)

- preferredKeys ()

  returns (TQStringList)

- supportedGroups ()

  returns (TQStringList)

- supportedKeys ()

  returns (TQStringList)

- translatedGroups ()

  returns (TQStringList)

### variables

- variables

  Variable | Type
  --- | ---
  m_attr | uint
  m_itemDict | TQDict
  m_supportedKeys | TQStringList
  m_translatedName | TQString